/*
 This file is part of GACC.
 
 GACC is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 GACC is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */
//
//  XPSCercaTableTableViewController.h
//  Gacc
//
//  Created by Xavi Pregona Soto on 6/5/15.
//  Copyright (c) 2015 XPS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "XPSOptionsSearchTableViewController.h"

#define ON_SECTION 0
#define CATEGORIA_SECTION 1
#define QUAN_SECTION 2

@class XPSCercaTableTableViewController;

@interface XPSCercaTableTableViewController : UITableViewController<NSURLConnectionDataDelegate>

//PROPIETATS PER GUARDAR VALORS SELECCIONATS ALS FILTRES
@property (nonatomic, strong) NSString *provincia;
@property (nonatomic, strong) NSString *poble;
@property (nonatomic, strong) NSString *category;
@property (nonatomic, strong) NSString *date;

//PROPIETATS PER CONEIXER VALORS SELECCIONATS
@property (strong, nonatomic) NSIndexPath *provinciaSelected;
@property (strong, nonatomic) NSIndexPath *pobleSelected;
@property (strong, nonatomic) NSIndexPath *categorySelected;

//PROPIETAT ON S'EMMAGATZEMEN LES DADES RETORNADES DEL SERVEI WEB
@property (strong, nonatomic) NSMutableData *responseData;

//MÈTODE PER BUSCAR ACTIVITATS AMB ELS FILTRES SELECCIONATS
-(void)searchActivities;

@end
