/*
 This file is part of GACC.
 
 GACC is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 GACC is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */
//
//  XPSMapViewController.h
//  Gacc
//
//  Created by Xavi Pregona Soto on 11/5/15.
//  Copyright (c) 2015 XPS. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreLocation/CoreLocation.h>

@interface XPSMapViewController : UIViewController <MKMapViewDelegate>

@property (weak, nonatomic) IBOutlet MKMapView *map;

//INICIALITZADOR A PARTIR D'ADREÇA
-(id) initWithAddress:(NSString *) address;

//IBACTIONS
-(IBAction)setMapType:(UISegmentedControl *)sender;
-(IBAction)setZoomLevel:(UIStepper *)sender;

//METODES
-(void)getDirections;

@end
