<?php

//CONNEXIÓ AMB LA BASE DE DADES
$mysqli = new mysqli("localhost", "root", "", "gacc");
//$mysqli = new mysqli("mysql.hostinger.es", "u513369017_gacc", "gaccuoc", "u513369017_gacc");

if ($mysqli->connect_errno) {
	echo "FALLO " . $mysqli->connect_errno . " " . $mysqli->connect_error;
}

$mysqli->query("SET NAMES 'utf8'");

//OBTENIM LES DADES DEL FITXER XML DE LA GENERALITAT
$activitats_xml = simplexml_load_file('http://fitxers.dadesobertes.gencat.cat/recursos/agenda/agenda_cultural_totes.xml');

//$mysqli->query('TRUNCATE TABLE gacc_activitats');

//RECOREEM TOTES LES ACTIVITATS
foreach ($activitats_xml->Activitats as $act) {

	//RECUPEREM TOTES LES DADES QUE VOLEM DE LES ACTIVITATS
	$pk = $mysqli->real_escape_string($act->Pk_Activitat);
	$nom = $mysqli->real_escape_string($act->denominacio_text);
	$descripcio = $mysqli->real_escape_string($act->descripcio_text);
	$data_inici = $mysqli->real_escape_string($act->Data_Inici);
	$data_fi = $mysqli->real_escape_string($act->Data_Fi);
	$horari = $mysqli->real_escape_string($act->Horari);
	$lloc = $mysqli->real_escape_string($act->Lloc->Lloc);
	$adreca = $mysqli->real_escape_string($act->Lloc->Adreca);
	$poblacio = $mysqli->real_escape_string($act->Lloc->Nom_Municipi);
	$comarca = $mysqli->real_escape_string($act->Lloc->Nom_Comarca);
	$cp = $mysqli->real_escape_string($act->Lloc->Cp);
	$telefons = $mysqli->real_escape_string($act->Lloc->Telefons);
	$weblloc = $mysqli->real_escape_string($act->Lloc->Url);
	$entrades = $mysqli->real_escape_string($act->Entrades);
	$categoria = $mysqli->real_escape_string($act->Tema_Activitat->Tema);
	$subcategoria = $mysqli->real_escape_string($act->Tema_Activitat->Subtema_Activitat->Subtema);
	$imatge = $mysqli->real_escape_string($act->Url_Imatge);
	$organitzador = $mysqli->real_escape_string($act->Entitat_Organitzadora->Entitat_Organitzadora);
	$telefon_organitzador = $mysqli->real_escape_string($act->Entitat_Organitzadora->Telefon);
	$web_organitzador = $mysqli->real_escape_string($act->Entitat_Organitzadora->Url_EntitatOrganitzadora);
	$mail_organitzador = $mysqli->real_escape_string($act->Entitat_Organitzadora->AE);

	$arrContextOptions=array(
	    "ssl"=>array(
	        "verify_peer"=>false,
	        "verify_peer_name"=>false,
	    ),
	);


	//OBTENIM DADES LATITUD I LONGITUD DE CADA ACTIVITAT
	$adreca_gps = $adreca . " " . $poblacio;
	$resultat = file_get_contents(sprintf('https://maps.googleapis.com/maps/api/geocode/json?sensor=false&address=%s', urlencode($adreca_gps)), false, stream_context_create($arrContextOptions));
	$resultat = json_decode($resultat, TRUE);
	$nResultats = count($resultat['results']);
	
	if ($nResultats > 0) {
		$latitud = $resultat['results'][0]['geometry']['location']['lat'];
		$longitud = $resultat['results'][0]['geometry']['location']['lng'];
	} else {
		$latitud = 0;
		$longitud = 0;
	}


	//INSERIM LES DADES A LA BBDD
	$mysqli->query("INSERT INTO gacc_activitats 
			(pk_activitat,nom_activitat,descripcio_activitat,data_inici_activitat,data_fi_activitat,horari_activitat,lloc_activitat,adreca_activitat,poblacio_activitat,comarca_activitat,cp_activitat,latitud_activitat,longitud_activitat,telefons_activitat,web_activitat,entrades_activitat,categoria_activitat,subcategoria_activitat,imatge_activitat,organitzador_activitat,telefon_organitzador_activitat,web_organitzador_activitat,mail_organitzador_activitat) 
			VALUES 
			('$pk','$nom','$descripcio','$data_inici','$data_fi','$horari','$lloc','$adreca','$poblacio','$comarca','$cp','$latitud','$longitud','$telefons','$weblloc','$entrades','$categoria','$subcategoria','$imatge','$organitzador','$telefon_organitzador','$web_organitzador','$mail_organitzador')");

}


//TANQUEM LA CONNEXIÓ
$connexio = mysqli_close($mysqli);

echo utf8_decode("PROCÉS FINALITZAT");

?>