<?php

/****************************************************
metode per obtenir el format correcte del nom del
poble enviat des de la aplicació.
Es substitueix el símbol utilitzat com a separador
per espais en blanc i es comprova si existeixen
caràcters "!" que indiquen apòstrof.
Per exemple, des de l'aplicació s'envia el poble
en el següent format "Castell-Platja+d!Aro" i
aquest mètode retorna la cadena "Castell-Platja d'Aro"
que es com ho el trobem a la base de dades
*****************************************************/
function getName($separador, $nom) {

	$paraules = explode($separador, $nom);
	$p = "";
	$i = 1;
	$nparaules = count($paraules);
	foreach ($paraules as $paraula) {
		if ($i == $nparaules) {
			$p .= $paraula;
		} else {
			$p .= $paraula . " ";
		}
		$i++;
	}

	//AFEGIM APÒSTROF A LES PARAULES QUE EN TINGUIN
	$p = str_replace("!", "\'", $p);

	return $p;

}

//Recorre array de comarques i forma la consulta amb
//les comarques que pertanyen a la provincia seleccionada
function getComarques($provincia, $provincies) {

	$i = 1;
	$comarques = $provincies[$provincia];
	$ncomarques = count($comarques);
	$com = "(";

	//AFEGIM TOTES LES COMARQUES DE LA PROVINCIA
	foreach ($comarques as $comarca) {
		if ($i == $ncomarques) {
			$com .= "comarca_activitat = '$comarca')";
		} else {
			$com .= "comarca_activitat = '$comarca' OR ";
		}
		$i++;
	}

	return $com;
}

?>