<?php

require_once('comarques.php');
require_once('ddbb.php');
require_once('utils.php');


//INICIALITZEM STRING PER PASSAR ELS FILTRES A LA CONSULTA SQL EN FUNCIO DELS PARAMETRES REBUTS
$filtres = "";

if (isset($_GET['poblacio']) AND $_GET['poblacio'] != "tots") { //TENIM POBLE

	//AFEGIM FILTRE DE POBLACIÓ.
	$poblacio = $_GET['poblacio'];

	//PREPAREM TEXT POBLE PER POSAR A LA CONSULTA
	$pob = getName("+", $poblacio);

	//AFEGIM POBLE AL FILTRE PER LA CONSULTA
	$filtres .= "poblacio_activitat = '$pob'";

} else { //NO TENIM POBLE

	
	if (isset($_GET['provincia']) AND $_GET['provincia'] != "tots") { //TENIM PROVINCIA

		//OBTENIM PROVINCIA
		$provincia = $_GET['provincia'];

		//AFEGIM FILTRE SEGONS LA PROVINCIA SELECCIONADA RECORRENT LES COMARQUES DE LA PROVINCIA
		$filtres .= getComarques($provincia, $provincies);
	}
}


//CONSULTA SEGONS ELS FILTRES SELECCIONATS
if ($filtres != "") {
	$consulta = "SELECT DISTINCT categoria_activitat FROM gacc_activitats WHERE $filtres ORDER BY categoria_activitat ASC";
} else {
	$consulta = "SELECT DISTINCT categoria_activitat FROM gacc_activitats ORDER BY categoria_activitat ASC";
}

//CONNEXIO I CONSULTA A LA BASE DE DADES
$dbConection = new ddbb();
$categories = $dbConection->consulta($consulta);


//PREPAREM LES DADES OBTINGUDES DE LA BASE DE DADES
$j = 0;
$array_categories=[];
while ($row = mysqli_fetch_array($categories, MYSQLI_ASSOC)) {
	$array_categories[$j] = $row;
	$j++;
}

//RETORNEM DADES EN FORMAT JSON PER SER LLEGIDES A LA APP
if(!$array_categories) {
	$dades = json_encode(array("0"));
} else {
	$dades = json_encode($array_categories);
}

//RETORNEM DADES EN FORMAT JSON PER SER LLEGIDES A LA APP
echo $dades;

//TANQUEM CONNEXIO AMB LA BASE DE DADES
$dbConection->closeConexion();


?>