<?php

require_once('comarques.php');
require_once('ddbb.php');
require_once('utils.php');

//INICIALITZEM STRING PER PASSAR ELS FILTRES A LA CONSULTA SQL EN FUNCIO DELS PARAMETRES REBUTS
$filtres = "";

if (isset($_GET['poblacio']) AND $_GET['poblacio'] != "tots") { //TENIM POBLE

	$poblacio = $_GET['poblacio'];

	//PREPAREM TEXT POBLE PER POSAR A LA CONSULTA
	$pob = getName("+", $poblacio);

	$filtres = "poblacio_activitat = '$pob'";

	if (isset($_GET['categoria']) AND $_GET['categoria'] != "tots") { //TENIM POBLE + CATEGORIA

		$categoria = $_GET['categoria'];

		$cat = getName("-", $categoria);

		if ($filtres != "") {
			$filtres .= " AND categoria_activitat = '$cat'";
		} else {
			$filtres .= "categoria_activitat = '$cat'";
		}
		
	}
	
} else { //NO TENIM POBLE

	if (isset($_GET['provincia']) AND $_GET['provincia'] != "tots") { //TENIM PROVINCIA

		$provincia = $_GET['provincia'];

		$filtres .= getComarques($provincia, $provincies);

		if (isset($_GET['categoria']) AND $_GET['categoria'] != "tots") { //TENIM PROVINCIA + CATEGORIA

			$categoria = $_GET['categoria'];

			$cat = getName("-", $categoria);

			if ($filtres != "") {
				$filtres .= " AND categoria_activitat = '$cat'";
			} else {
				$filtres .= "categoria_activitat = '$cat'";
			}

		}
		
	} else { //NO TENIM POBLE NI PROVINCIA

		if (isset($_GET['categoria']) AND $_GET['categoria'] != "tots") { //TENIM CATEGORIA


			$categoria = $_GET['categoria'];

			//PREPAREM TEXT CATEGORIA PER POSAR A LA CONSULTA
			$cat = getName("-", $categoria);

			if ($filtres != "") {
				$filtres .= " AND categoria_activitat = '$cat'";
			} else {
				$filtres .= "categoria_activitat = '$cat'";
			}
			
		}

	}

}

//AFEGIM FILTRE AMB LA DATA SELECCIONADA
if (isset($_GET['data']) AND $_GET['data'] != "Totes") {
	$data = $_GET['data'];
	if ($filtres != "") {
		$filtres .= " AND data_inici_activitat <= '$data' AND data_fi_activitat >= '$data'";
	} else {
		$filtres .= "data_inici_activitat <= '$data' AND data_fi_activitat >= '$data'";
	}
}

//PREPAREM CONSULTA SEGONS EL CAS
if ((!isset($_GET['data']) OR $_GET['data'] == "Totes") AND (!isset($_GET['categoria']) OR $_GET['categoria'] == "tots") AND (!isset($_GET['provincia']) OR $_GET['provincia'] == "tots") AND (!isset($_GET['poblacio']) OR $_GET['poblacio'] == "tots")) {

	//CONSULTA DE TOTES LES ACTIVITAtS
	$consulta = "SELECT * FROM gacc_activitats";

} else {

	//CONSULTA AMB SEGONS ELS FILTRES SELECCIONATS
	$consulta = "SELECT * FROM gacc_activitats WHERE $filtres";

}

//CONEXIO I CONSULTA A LA BASE DE DADES
$dbConection = new ddbb();
$activitats = $dbConection->consulta($consulta);

//PREPAREM LES DADES OBTINGUDES DE LA BASE DE DADES
$j = 0;
$array_activitats=[];
while ($row = mysqli_fetch_array($activitats, MYSQLI_ASSOC)) {
	$array_activitats[$j] = $row;
	$j++;
}

//RETORNEM DADES EN FORMAT JSON PER SER LLEGIDES A LA APP
if(!$array_activitats) {
	$dades = json_encode(array("0"));
} else {
	$dades = json_encode($array_activitats);
}

print_r($dades);

//TANQUEM CONNEXIO AMB LA BASE DE DADES
$dbConection->closeConexion();

?>