<?php

require_once('comarques.php');
require_once('ddbb.php');
require_once('utils.php');

//INICIALITZEM STRING PER PASSAR ELS FILTRES A LA CONSULTA SQL EN FUNCIO DELS PARAMETRES REBUTS
$filtres = "";

//AFEGIM FILTRE SEGONS LA PROVINCIA SELECCIONADA RECORRENT LES COMARQUES DE LA PROVINCIA
$i = 1;
if (isset($_GET['provincia']) AND $_GET['provincia'] != "tots") {
	
	$provincia = $_GET['provincia'];

	//AFEGIM FILTRE SEGONS LA PROVINCIA SELECCIONADA RECORRENT LES COMARQUES DE LA PROVINCIA
	$filtres .= getComarques($provincia, $provincies);
}

//CONSULTA SEGONS ELS FILTRES SELECCIONATS
if ($filtres != "") {
	$consulta = "SELECT DISTINCT poblacio_activitat FROM gacc_activitats WHERE $filtres ORDER BY poblacio_activitat ASC";
} else {
	$consulta = "SELECT DISTINCT poblacio_activitat FROM gacc_activitats ORDER BY poblacio_activitat ASC";
}

//CONNEXIO I CONSULTA A LA BASE DE DADES
$dbConection = new ddbb();
$pobles = $dbConection->consulta($consulta);

//PREPAREM LES DADES OBTINGUDES DE LA BASE DE DADES
$j = 0;
$array_pobles=[];
while ($row = mysqli_fetch_array($pobles, MYSQLI_ASSOC)) {
	if ($row['poblacio_activitat'] != "") {
		$array_pobles[$j] = $row;
		$j++;
	}
}

//PREPAREM DADES
if(!$array_pobles) {
	$dades = json_encode(0);
} else {
	$dades = json_encode($array_pobles);
}
//RETORNEM DADES EN FORMAT JSON PER SER LLEGIDES A LA APP
echo $dades;

//TANQUEM CONNEXIO AMB LA BASE DE DADES
$dbConection->closeConexion();


?>